/**************************************************************************
*   Amarok 2 script to manage lyrics                                      *
*                                                                         *
*   Copyright                                                             *
*   (C) 2008 Ignacio Serantes <kde@aynoa.net>                             *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
**************************************************************************/

//
// Funciones de base de datos.
//

function addEquivalence(str1, str2) {

  equivalences[equivalences.length] = new Array(str1, str2);
  equivalences.sort();
  saveEquivalences();

}

function deleteEquivalence(str1, str2) {

 // Array.splice(start[, howmany[, element1[,element...]]])

}

function deleteEquivalence(str1, str2) {

 // Array.splice(start[, howmany[, element1[,element...]]])

}

function getEquivalence(str) {

  str = str.toLowerCase();
  for (var i = 0; i < equivalences.length; i++) {

    if (equivalences[i][0].toLowerCase() == str) {
      return equivalences[i][1];
    } else {
      if (equivalences[i][1].toLowerCase() == str) {
        return equivalences[i][0];
      }
    }

  } // for (var i = 0; i < equivalences.length; i++)

  return '';

} // function getEquivalence(str)

function getEquivalences(str) {

  var equiv = new Array();

  str = trim(str.toLowerCase());
  for (var i = 0; i < equivalences.length; i++) {

    if (equivalences[i][0].toLowerCase() == str) {

      equiv.push(equivalences[i][1]);
    } else {

      if (equivalences[i][1].toLowerCase() == str) {
        equiv.push(equivalences[i][0]);
      }

    } // if (equivalences[i][0].toLowerCase() == str)
  } // for (var i = 0; i < equivalences.length; i++)

  return equiv;

} // function getEquivalences(str)

function loadEquivalences() {

  try {

    file = new QFile(Amarok.Info.scriptPath() + '/' + EQUIVALENCES_FILE_NAME);

    if (file.exists()) {

      file.open(new QIODevice.OpenMode(QIODevice.ReadWrite));
      var data = new QTextStream(file);
      var line = '';
      var i = 0;

      equivalences = new Array();
      while (!data.atEnd()) {

        line = trim(data.readLine());

        if ((line == '') || (line[0] == '#')) { continue; };

        newEquivalence = line.split(',');

        if (newEquivalence[1] == undefined) { continue; };
        if (newEquivalence[2] != undefined) { continue; };

        equivalences[i] = newEquivalence;
        equivalences[i][0] = trim(equivalences[i][0]);
        equivalences[i][1] = trim(equivalences[i][1]);
        i++;

      } // while (!data.atEnd())

      file.close();

      equivalences.sort();

    } else {

      // Load sample data.
      equivalences = new Array();
      equivalences[0] = 'Tanimura Nana,Nana Tanimura'.split(',');
      equivalences[1] = 'アンジェラ・アキ,Angela Aki'.split(',');
      equivalences[2] = '中ノ森ＢＡＮＤ,Nakanomori Band'.split(',');
      equivalences[3] = '伊藤由奈,Yuna Ito'.split(',');
      equivalences[4] = '倖田來未,Koda Kumi'.split(',');
      equivalences[5] = '坂本真綾,Maaya Sakamoto'.split(',');
      equivalences[6] = '大塚愛,Ai Otsuka'.split(',');
      equivalences[7] = '宇多田ヒカル,Utada Hikaru'.split(',');
      equivalences[8] = '安室奈美恵,Namie Amuro'.split(',');
      equivalences[9] = '柴咲コウ,Shibasaki Kou'.split(',');
      equivalences[10] = '椎名林檎,Shiina Ringo'.split(',');
      equivalences[11] = '絢香,Ayaka'.split(',');
      equivalences[12] = '菅野よう子,Yoko Kanno'.split(',');
      equivalences[13] = '谷村奈南,Nana Tanimura'.split(',');
      equivalences[14] = '谷村奈南,Tanimura Nana'.split(',');
      equivalences[15] = '青山テルマ,Thelma Aoyama'.split(',');
      equivalences[16] = '高田梢枝,Takada Kozue'.split(',');
      equivalences[17] = '브라운아이드걸스,Brown Eyed Girls'.split(',');
      equivalences[18] = '소녀시대,Girls Generation'.split(',');
      equivalences[19] = '소녀시대,Girls’ Generation'.split(',');
      equivalences[20] = '원더걸스,Wonder Girls'.split(',');
      equivalences[21] = '이효리,Lee Hyori'.split(',');
      equivalences[22] = '쥬얼리,Jewelry'.split(',');
      equivalences[23] = '현영,Hyun Young'.split(',');

      saveEquivalences();

    } // if (file.exists)

  } catch(err) {
        Amarok.debug( "error: " + err );
  }

} // function loadEquivalences()

function saveEquivalences(txt) {

  if (txt == null) {

    txt = '#\n# Equivalences\n#\n# Format: Str1,Str2\n#\n#\n# Warning: saving from the internal editor removes invalid entries and reorders\n#\n';

    equivalences.sort();
    for (var i = 0; i < equivalences.length; i++) {
      txt = txt + equivalences[i].toLocaleString() + '\n';
    } // for (var i = 0; i < equivalences.length; i++)

  } // if txt == null)

  saveTextFile(Amarok.Info.scriptPath(), EQUIVALENCES_FILE_NAME, txt);

  return true;

} // function saveEquivalences()

function saveAndLoadEquivalences(obj, txt) {

  saveEquivalences(txt);
  loadEquivalences();
  saveEquivalences();
  obj.text = readTextFile(Amarok.Info.scriptPath() + '/' + EQUIVALENCES_FILE_NAME);
  obj.tdText.setText(obj.text);


} // function saveAndLoadEquivalences()

function editEquivalences() {

  var te = new textEditor(readTextFile(Amarok.Info.scriptPath() + '/' + EQUIVALENCES_FILE_NAME), EQUIVALENCES_FILE_NAME, 'E', TEXT_EQUIVALENCES_DIALOG_TITLE);
  te.show();

} // function editEquivalences()

// Equivalencias.
var equivalences = new Array();
