/**************************************************************************
*   Amarok 2 script to manage lyrics                                      *
*                                                                         *
*   Copyright                                                             *
*   (C) 2008 Ignacio Serantes <kde@aynoa.net>                             *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
**************************************************************************/

//
// Funciones de gestión de cix.co.kr
//

// Examina la página de canción-artista y obtiene la url de la letras
// y la del artista.
function extractUrlsFrom_cix(html) {

  try {

    // Las letras en la primera ocurrencia de href y el artista en la segunda.
    // Hay tantas filas como resultados pero por el momento nos quedamos con
    // el primero válido.
    urlLyrics = getDataBetweenTags(html, '<A HREF=', ' target=_top>', 1);
    urlArtist = (urlLyrics == '') ? '' : getDataBetweenTags(html, '<A HREF=', ' target=_top>', 2);

    if (urlLyrics == '') {

      // No se encontró.
      onDownloadFinished(searchEngines[SEARCH_ENGINE_CIX][DATA_SERVER_URL] + NOT_FOUND_MARK);

    } else {

      searchGlobals[SEARCH_ENGINE_CIX][GLOBALS_LYRIC] = searchEngines[SEARCH_ENGINE_CIX][DATA_SERVER_SEARCH] + '/kr/' + urlLyrics;
      searchGlobals[SEARCH_ENGINE_CIX][GLOBALS_ARTIST] = searchEngines[SEARCH_ENGINE_CIX][DATA_SERVER_SEARCH] + '/kr/' + urlArtist;
      var url = new QUrl(searchGlobals[SEARCH_ENGINE_CIX][GLOBALS_LYRIC]);
      new Downloader(url, onDownloadFinished, 'EUC-KR');

    }

  } catch(err) {
    Amarok.debug( "error: " + err );
  }

  return true;

} // function extractUrlsFrom_cix(html)


// Crear la url de búsqueda para descargar los datos.
function search_cix(artist, title) {

  encodedArtist = new QByteArray(Amarok.Lyrics.fromUtf8(artist, "EUC-KR"));
  encodedTitle = new QByteArray(Amarok.Lyrics.fromUtf8(title, "EUC-KR"));
  var url = new QUrl(searchEngines[SEARCH_ENGINE_CIX][DATA_SERVER_SEARCH] + "/kr/search_lyrics_songlist_main.html");
  url.setEncodedQuery(new QByteArray("SearchSong=" + ba2p(encodedTitle) + "&SearchSinger=" + ba2p(encodedArtist) + "&SearchContents=&SearchType=Start&btnSubmit="));
  new Downloader(url, extractUrlsFrom_cix, 'EUC-KR');
  return true;

} // function search_cix(artist, title)
