/**************************************************************************
*   Amarok 2 script to manage lyrics                                      *
*                                                                         *
*   Copyright                                                             *
*   (C) 2008 Ignacio Serantes <kde@aynoa.net>                             *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
**************************************************************************/

//
// Funciones de gestión de evesta.jp
//

// Examina la página de canción-artista y obtiene la url de la letras
// y la del artista.
function extractUrlsFrom_evesta(html) {

  try {

    // La lista de resultados se encuentra entre "<div id='lyricList'>" y "</div>".
    html = getDataBetweenTags(html, '<div id=\'lyricList\'>', '</div>', 1);
    var data = '';
    var ocurrence = 1;
    var currTitle = '';
    var currArtist = '';
    var urlLyrics = '';
    var urlArtist = '';
    while (true) {

      data = getDataBetweenTags(html, '\' onmouseover=\'this.className="selected"\' onmouseout=\'this.className="', '</tr>', ocurrence);
    
      // No hay más registros.
      if (data == '') { break; };

      // El título está en la primera ocurrencia "<a href></a>".
      currTitle = trim(getDataBetweenTags(getDataBetweenTags(data, '<a href=', '/a>', 1), ">", "<", 1).toLowerCase());
      // El autor está en la segunda ocurrencia "<a href></a>".
      currArtist = trim(getDataBetweenTags(getDataBetweenTags(data, '<a href=', '/a>', 2), ">", "<", 1).toLowerCase());
      if ((currTitle == initial_title.toLowerCase()) && (currArtist == initial_artist.toLowerCase())) {
        urlLyrics = getDataBetweenTags(data, "<a href='", "'>", 1);
        urlArtist = getDataBetweenTags(data, "<a href='", "'>", 2);
        break;
      } // if ((currTitle == initial_title) || (currArtist == initial_artist))
      
      ocurrence++;

    } // while (true)

    if (urlLyrics == '' ) {

      // No se encontró.
      onDownloadFinished(searchEngines[SEARCH_ENGINE_EVESTA][DATA_SERVER_URL] + NOT_FOUND_MARK);

    } else {

      searchGlobals[SEARCH_ENGINE_EVESTA][GLOBALS_LYRIC] = urlLyrics;
      searchGlobals[SEARCH_ENGINE_EVESTA][GLOBALS_ARTIST] = urlArtist;
      var url = new QUrl(searchGlobals[SEARCH_ENGINE_EVESTA][GLOBALS_LYRIC]);
      new Downloader(url, onDownloadFinished);

    }

  } catch(err) {
    Amarok.debug( "error: " + err );
  }

  return true;

} // function extractUrlsFrom_evesta(html)

// Crear la url de búsqueda para descargar los datos.
function search_evesta(artist, title) {
  
  // Lo que me costó conseguir estas líneas :(.
  var url = new QUrl(searchEngines[SEARCH_ENGINE_EVESTA][DATA_SERVER_SEARCH] + "/lyric/search.php");
  url.addQueryItem('o', 's');
  url.addQueryItem('k', title + '+' + artist);
  url.addQueryItem('c', '0');
  url.addQueryItem('search', '検索');
  new Downloader(url, extractUrlsFrom_evesta);
  return true;

} // function search_evesta(artist, title)
