/**************************************************************************
*   Amarok 2 script to manage lyrics                                      *
*                                                                         *
*   Copyright                                                             *
*   (C) 2008 Ignacio Serantes <kde@aynoa.net>                             *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
**************************************************************************/

//
// Funciones de gestión de music.goo.ne.jp
//

// Examina la página de canción-artista y obtiene la url de la letras
// y la del artista.
function extractUrlsFrom_goo(html) {

  try {

    // Las letras se encuentran en la primera ocurrencia de <div class="lst1">.
    var data = getDataBetweenTags(html, '<div class="lst1">', '</div>', 1);
    urlLyrics = getDataBetweenTags(data, '<a href="', '">', 1);
    urlArtist = getDataBetweenTags(data, '<a href="', '">', 2);

    if (urlLyrics == searchEngines[SEARCH_ENGINE_GOO][DATA_SERVER_URL]) {

      // No se encontró.
      onDownloadFinished(urlLyrics + NOT_FOUND_MARK);

    } else {

      searchGlobals[SEARCH_ENGINE_GOO][GLOBALS_LYRIC] = searchEngines[SEARCH_ENGINE_GOO][DATA_SERVER_SEARCH] + urlLyrics;
      searchGlobals[SEARCH_ENGINE_GOO][GLOBALS_ARTIST] = searchEngines[SEARCH_ENGINE_GOO][DATA_SERVER_SEARCH] + urlArtist;
      var url = new QUrl(searchGlobals[SEARCH_ENGINE_GOO][GLOBALS_LYRIC]);
     
      // Solución a los problemas con los character entities.
      new Downloader(url, onDownloadFinished, 'EUC-JP');

    }

  } catch(err) {
    Amarok.debug( "error: " + err );
  }

  return true;

} // function extractUrlsFrom_goo(html)

// Crear la url de búsqueda para descargar los datos.
function search_goo(artist, title) {

  // Lo que me costó conseguir estas líneas :(.
  encodedArtist = new QByteArray(Amarok.Lyrics.fromUtf8(artist, "EUC-JP"));
  encodedTitle = new QByteArray(Amarok.Lyrics.fromUtf8(title, "EUC-JP"));
  var url = new QUrl(searchEngines[SEARCH_ENGINE_GOO][DATA_SERVER_SEARCH] + "/lyric/db.php");
  url.setEncodedQuery(new QByteArray("a=" + ba2p(encodedArtist) + "&k=" + ba2p(encodedTitle) + "&l=&s=&c=&submit="));
  new Downloader(url, extractUrlsFrom_goo, 'EUC-JP');
  return true;

} // function search_goo(artist, title)
