/**************************************************************************
*   Amarok 2 script to manage lyrics                                      *
*                                                                         *
*   Copyright                                                             *
*   (C) 2008 Ignacio Serantes <kde@aynoa.net>                             *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
**************************************************************************/

//
// Funciones de gestión de LyricWiki.org
//

// Comprobamos que la página tiene datos.
function parseData_lyricWiki(html) {

  try {

    // Las letras en la primera ocurrencia de href y el artista en la segunda.
    urlLyrics = getDataBetweenTags(html, "<a href='", "'>", 1);
    urlArtist = getDataBetweenTags(html, "<a href='", "'>", 2);

    rawLyrics = html2text(getDataBetweenTags(html, searchEngines[SEARCH_ENGINE_LYRICWIKI][DATA_HTML_TAG_BEGIN], searchEngines[SEARCH_ENGINE_LYRICWIKI][DATA_HTML_TAG_END], searchEngines[SEARCH_ENGINE_LYRICWIKI][DATA_HTML_TAG_OCURRENCE]));

    if (rawLyrics == 'Not found') {

      // No se encontró.
      onDownloadFinished(searchEngines[SEARCH_ENGINE_LYRICWIKI][DATA_SERVER_URL] + NOT_FOUND_MARK);

    } else {

      searchGlobals[SEARCH_ENGINE_LYRICWIKI][GLOBALS_LYRIC] = urlLyrics;
      searchGlobals[SEARCH_ENGINE_LYRICWIKI][GLOBALS_ARTIST] = urlArtist;
      //Amarok.alert(html);
      onDownloadFinished(html);

    }

  } catch(err) {
    Amarok.debug('error: ' + err);
  }

  return true;

} // function parseData_lyricWiki(html)

// Crear la url de búsqueda para descargar los datos.
function search_lyricWiki(artist, title) {

  /*
  var url = new QUrl(searchEngines[SEARCH_ENGINE_LYRICWIKI][DATA_SERVER_SEARCH] + '/api.php');
  url.addQueryItem('func', 'getSong');
  url.addQueryItem('artist', artist);
  url.addQueryItem('song', title);
  new objDownloader(url, parseData_lyricWiki);
  */
  var url = searchEngines[SEARCH_ENGINE_LYRICWIKI][DATA_SERVER_SEARCH] + '/api.php?func=getSong&artist=' + artist + '&song=' + title;
  new objDownloader(url, parseData_lyricWiki);
  return true;

} // function search_lyricWiki(artist, title)
