/**************************************************************************
*   Amarok 2 script to manage lyrics                                      *
*                                                                         *
*   Copyright                                                             *
*   (C) 2008 Ignacio Serantes <kde@aynoa.net>                             *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
**************************************************************************/
 
//
// Funciones de gestión de mp3.sogou.com
//

// Examina la página de canción-artista y obtiene la url de la letras
// y la del artista.
function extractUrlsFrom_sogou(html) {

  try {

    // Por el momento dejamos esto en blanco.
    urlLyrics = '';
    urlArtist = '';
    
    //saveTextFile(Amarok.Info.scriptPath(), 'goo.html', html);
    //searchFails = (html.indexOf('<div class="noresult">') >= 0);
    //searchFails = false;
    sogouTitle = trim(html2text(getDataBetweenTags(html, '<b>曲名：', '</b>', 1)));
    //Amarok.alert(sogouTitle);
    sogouArtist = trim(html2text(getDataBetweenTags(html, '<b>歌手：', '</b>', 1)));
    //Amarok.alert(sogouArtist);

    if ((sogouTitle.toLowerCase() != global_title.toLowerCase()) || (sogouArtist.toLowerCase() != global_artist.toLowerCase())) {

      // No se encontró.
      onDownloadFinished(searchEngines[SEARCH_ENGINE_SOGOU][DATA_SERVER_URL] + NOT_FOUND_MARK);

    } else {

      //Amarok.alert('match');
      searchGlobals[SEARCH_ENGINE_SOGOU][GLOBALS_LYRIC] = urlLyrics;
      searchGlobals[SEARCH_ENGINE_SOGOU][GLOBALS_ARTIST] = urlArtist;
      onDownloadFinished(html);

    }

  } catch(err) {
    Amarok.debug( "error: " + err );
  }

  return true;

} // function extractUrlsFrom_sogou(html)

// Crear la url de búsqueda para descargar los datos.
function search_sogou(artist, title) {

  // Chinese encodings GB18030/GBK/GB2312, GB2312 codepage 936.
  // http://doc.trolltech.com/4.4/codec-gbk.html
  encodedArtist = new QByteArray(Amarok.Lyrics.fromUtf8(artist, "GB2312"));
  encodedTitle = new QByteArray(Amarok.Lyrics.fromUtf8(title, "GB2312"));
  var url = new QUrl(searchEngines[SEARCH_ENGINE_SOGOU][DATA_SERVER_SEARCH] + "/gecisearch.so");
  url.setEncodedQuery(new QByteArray('query="' + ba2p(encodedTitle) + "'+'" + ba2p(encodedArtist) + '"'));
  new Downloader(url, extractUrlsFrom_sogou, 'GB2312');
  return true;

} // function search_sogou(artist, title)
