/**************************************************************************
*   Amarok 2 script to manage lyrics                                      *
*                                                                         *
*   Copyright                                                             *
*   (C) 2008 Ignacio Serantes <kde@aynoa.net>                             *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
**************************************************************************/


//
// Funciones generales.
//

// Trim. Alucino que estas funciones no estén disponibles.
function trim(stringToTrim) {
  return stringToTrim.replace(/^\s+|\s+$/g, '');
}
function ltrim(stringToTrim) {
  return stringToTrim.replace(/^\s+/, '');
}
function rtrim(stringToTrim) {
  return stringToTrim.replace(/\s+$/, '');
}

/*
String.trim = function(str) {
  return str.replace(/^\s+|\s+$/g, '');
}
String.ltrim = function(str) {
  return str.replace(/^\s+/, '');
}
String.rtrim = function(str) {
  return str.replace(/\s+$/, '');
}

// PadL. Hala, otra que tampoco está.
String.Padl = function(str, len, aChar) {

  aChar = (aChar == null) ? ' ' : aChar;
  len = (len == null) ? str.length : len;
  if (len < str.length) { len = str.length; };
  while (aChar.length < len) {
   aChar += aChar;
  }
  str = aChar + str;
  return str.substring(str.length - len);

}// String.Padl = function(str, len, aChar)

String.format = function(str) {

  if (arguments.length <= 1) { return srt; }

  var n = arguments.length;
  for (var i = 1; i < n; i++) {
    srt = str.replace(new RegExp('\\{' + i + '\\}', 'gi'), arguments[i]);
  }

  return str;

} // String.format = function(srt)
*/

function format(str) {

  if (arguments.length <= 1) { return srt; }

  var n = arguments.length;
  for (var i = 1; i < n; i++) {
    srt = str.replace(new RegExp('\\{' + i + '\\}', 'gi'), arguments[i]);
  }

  return str;

} // function format(str)

// PadL. Hala, otra que tampoco está.
function padl(str, len, aChar) {

  aChar = (aChar == null) ? ' ' : aChar;
  len = (len == null) ? str.length : len;
  if (len < str.length) { len = str.length; };
  while (aChar.length < len) {
   aChar += aChar;
  }
  str = aChar + str;
  return str.substring(str.length - len);

} // function padl(str, len, aChar)

// Pasamos un valor a hexadecimal.
function toHex(dec) {

  if (dec < 0) dec = 256 + dec;
  var hexCharacters = '0123456789abcdef';
  if (dec < 0) return '00';
  if (dec > 255) return 'FF';
  var i = Math.floor(dec / 16);
  var j = dec % 16;
  return hexCharacters.charAt(i) + hexCharacters.charAt(j);

} // function toHex(dec)

// Convierte un QByteArray a percent encoding.
function ba2p(ba) {

  var str = '';
  for (var i = 0; i < ba.length(); i++) {
     str += '%' + toHex(ba.at(i));
  }
  return str;

} // function ba2p(ba)

// Conversión de un QByteArray a string.
function ba2s(ba) {

  var str = '';
  for (var i = 0; i < ba.length(); i++) {
    str += String.fromCharCode(ba.at(i));
  }
  return str;

} // function ba2s(ba)

//
// Trabajo con HTML.
//

// Obtiene la información entre dos tags.
// usar ocurrence par ver con cual nos quedamos. Si se indica un
// nº mayor al de ocurrencias se devuelve la cadena vacía.
function getDataBetweenTags(data, beginTag, endTag, ocurrence) {

  var ocurrence = (ocurrence == null) ? 1 : ocurrence;
  var iBegin = data.indexOf(beginTag)
  if (iBegin > -1) {
    iBegin += beginTag.length;
    var iEnd = data.indexOf(endTag, iBegin);
  } else {
    var iEnd = -1;
  }

  ocurrence--;
  while ((ocurrence > 0) && (iBegin >= 0)) {
    iBegin = data.indexOf(beginTag, iEnd + endTag.length);
    if (iBegin > -1) {
       iBegin += beginTag.length;
       iEnd = data.indexOf(endTag, iBegin);
    } else {
       iEnd = -1;
    }
    ocurrence--;
  }

  if ( (iBegin >= 0) && (iBegin < iEnd)) {
    return data.substring(iBegin, iEnd);
  } else {
    return '';
  }

} // function getDataBetweenTags(data, beginTag, endTag, ocurrence)

// Elimina los comentarios del HTML.
function cleanHTMLComments(data) {

  var iBegin = 0;

  while (iBegin >= 0) {
    iBegin = data.indexOf('<!--');
    if (iBegin > -1) {
      data = data.substring(0, iBegin) + data.substring(data.indexOf('-->', iBegin) + 3);
    }
  }

  return data;

} // function cleanHTMLComments(data)

// Convierte (o al menos lo intenta) html a texto plano.
function html2text(html) {

  // Nos quedamos únicamente con el body.
  html = html.substring(html.indexOf('<body')); // No es correcto del todo pero funciona y es más rápido.

  // Eliminamos los comentarios.
  html = cleanHTMLComments(html);

  // Convertimos los \r en \n.
  html = html.replace(/\r\n/g, '\n');
  html = html.replace(/\r/g, '\n');

  // Eliminamos las líneas vacías del principio y del final.
  html = html.replace(/^\n+|\n+$/g, '');

  // Si no hay \n debemos cambiar los <br> por \n.
  if (html.indexOf('\n') < 0) {
    html = html.replace(/<br>/g, '\n');
    html = html.replace(/<br \/>/g, '\n');
  }

  // Eliminamos todo lo que encontremos entre "<" y ">".
  html = html.replace(/<[^>]*>/g, '');
  html = html.replace(/<br \/>/g, '');

  // Convertimos de HTML entities.
  // Con número.
  html = html.replace(/&#(\d+);/g, function (m, n) { return String.fromCharCode(n); })
  // Formato humano.
  html = html.replace(/&(\w+);/g, function (m, c) {
            var td = new QTextDocument();
            td.setHtml('&' + c + ';');
            return td.toPlainText(); }
          )


  return trim(html);

} // function html2text(html)


//
// Gestión de directorios.
//

function removeDirectory(dir) {

  var aDir = new QDir(dir);

  if (aDir.exists()) {

    // Esto no funciona y no entiendo el motivo.
    //var entries = aDir.entryInfoList(QDir.NoDotAndDotDot | QDir.Dirs | QDir.Files);
    var entries = aDir.entryInfoList();
    var count = entries.length;

    for (var i = 0; i < count; i++) {

      var entryInfo = entries[i];
      var path = entryInfo.absoluteFilePath();

      if (entryInfo.isDir()) {

        if ((entryInfo.fileName() == '.') || (entryInfo.fileName() == '..')) { continue; }
        if (!removeDirectory(path)) { return false; }

      } else {

        var file = new QFile(path);
        if (!file.remove()) { return false; }

      } // if (entryInfo.isDir())

    } // for (var idx = 0; idx < count; idx++)

    if (!aDir.rmdir(aDir.absolutePath())) { return false; }

  } // if (aDir.exists())

  return true;

} // function removeDirectory(dir)

function fullPath(path) {

  if ((path == null) || (path == '')) {
    return Amarok.Info.scriptPath() + '/';
  } else {
    return Amarok.Info.scriptPath() + '/' + path + '/';
  } // if ()(path == null) || (path == ''))

} // function fullPath()

//
// Gestión de ficheros de texto.
//

// Graba en el fichero indicado el texto indicado.
function saveTextFile(path, fileName, text) {

  try {

    fileName = fileName.replace(/\//g, '_');
    var path = (path == '') ? Amarok.Info.scriptPath() : path;
    var fs = new QFile(path + '/' + fileName);
    fs.open(new QIODevice.OpenMode(QIODevice.Truncate | QIODevice.WriteOnly | QIODevice.Text));
    var ts = new QTextStream(fs);
    ts.writeString(text);
    fs.flush();
    fs.close();

  } catch(err) {
        Amarok.debug('error: ' + err);
  }

} // function saveTextFile(path, fileName, text)

// Lee un fichero de texto.
function readTextFile(fileName) {

  var text = '';
  try {

    if (QFile.exists(fileName)) {

      var fs = new QFile(fileName);
      fs.open(new QIODevice.OpenMode(QIODevice.ReadOnly | QIODevice.Text));
      var ts = new QTextStream(fs);
      text = ts.readAll();
      fs.close();

    } // if (QFile.exists(fileName))

  } catch(err) {
        Amarok.debug('error: ' + err);
  }

  return text;

} // function readTextFile(fileName)


//
// Otros.
//

// Devuelve el nombre de un fichero asociado al la canción que se está escuchando actualmente.
function getNameExternalFileTrack(ext) {

  ext = (ext == null) ? 'txt' : ext;

  var fileName = '';
  if (Amarok.Engine.engineState() != AMAROK_ENGINE_STATE_STOP) {

    var trackInfo = Amarok.Engine.currentTrack();
    //var trackNumber = padl(trackInfo.trackNumber, 2, '0');
    //if ((trackNumber = '00') && (!trackInfo.inCollection)) { trackNumber = 'XX'; }
    if (!trackInfo.inCollection) {
      var trackNumber = 'XX';
    } else {
      var trackNumber = padl(trackInfo.trackNumber, 2, '0');
    }

    fileName = (trackInfo.artist + '_' + trackInfo.album + '_' + trackNumber + '_' + trackInfo.title + '.' + ext);

  } // if (Amarok.Engine.engineState() != AMAROK_ENGINE_STATE_STOP)
  return fileName.replace(/\//g, '_').replace(/ /g, '_');

} // function getNameExternalFileTrack() {

// Lee la letra almacenada en db de Amarok.
function readStoredLyrics() {

  var data = getDataBetweenTags(Amarok.Engine.currentTrack().lyrics, '<pre>', '</pre>', 1);
  if (data == '') {

    // O está vacío o se almacenó a pelo.
    data = getDataBetweenTags(Amarok.Engine.currentTrack().lyrics, '</head>', '</body>', 1);
    data = html2text(data);

    // Sigue vacío, vamos a probar la caché por si hay suerte.
    if (data == '') {

      var data = readTextFile(fullPath(PATH_LYRICS) + getNameExternalFileTrack('html'));
      if (!data == '') { data = getDataBetweenTags(data, '<pre>', '</pre>', 1); }

    } // if (data == '')

  } // if (data == '')

  return data;

} // function readStoredLyrics()


// Crea el fichero específico para que sea leido por el plasmoide STDIN.
function saveToSTDIN(html) {

  var tmpDir = QDir.tempPath();
  var fileName = tmpDir + '/LWS_tmp.sh';
  var fs = new QFile(fileName);
  fs.open(new QIODevice.OpenMode(QIODevice.Truncate | QIODevice.WriteOnly | QIODevice.Text));
  var ts = new QTextStream(fs);
  html = html.replace(/\n/g, '<br />');
  html = html.replace(/"/g, '\\"');
  html = html.replace(/`/g, '\\`');
  //html = html.replace(/'/g, "\\'");
  ts.writeString('#!/bin/sh\n');
  //ts.writeString('echo -e "' + html + '" | html2text -utf8\n');
  ts.writeString('echo -e "' + html + '" | html2text -utf8 -nobs -style compact -o ' + tmpDir + '/LWS.txt\n');
  ts.writeString('rm "' + fileName + '"\n');
  fs.flush();
  fs.close();
  QProcess.execute('chmod +x "' + fileName + '"');
  QProcess.execute(fileName);

} // function saveToSTDIN(html)

//
// Convierte un texto de Hangul a Romaja.
//
// http://czyborra.com/unicode/characters.html !!! fundamental !!!
// http://sori.org/hangul/romanizations.html#Roman_Intro
//
function fromHangulToRomaja(data) {

  if (data == '') { return false; }

  var choseongList = 'g;gg;n;d;dd;l;m;b;bb;s;ss;;j;jj;c;k;t;p;h'.split(';');
  var jungseongList = 'a;ae;ya;yae;eo;e;yeo;ye;o;wa;wae;oe;yo;u;weo;we;wi;yu;eu;yi;i'.split(';');
  var jongseongList = ';g;gg;gs;n;nj;nh;d;l;lg;lm;lb;ls;lt;lp;lh;m;b;bs;s;ss;ng;j;c;k;t;p;h'.split(';');

  var result = '';
  var charCode = 0;
  var choseongIndex = 0;
  var jungseongIndex = 0;
  for (var i = 0; i < data.length; i++) {

    charCode = data.charCodeAt(i);

    if (charCode < 44032 || charCode > 44032 + 11172) {

      result += String.fromCharCode(charCode);
      continue;

    } // if (charCode < 44032 || charCode > 44032 + 11172)

    n = 44032;
    choseongIndex = 0;
    while (true) {
      n += jungseongList.length * jongseongList.length;
      if (n > charCode) { break; }
      choseongIndex++;
    } // while (true)

    n -= jungseongList.length * jongseongList.length;
    jungseongIndex = 0;
    while (true) {
      n += jongseongList.length;
      if (n > charCode) { break; }
      jungseongIndex++
    } // while (true)

    n -= jongseongList.length;
    jongseong = charCode - n;
    result += choseongList[choseongIndex] + jungseongList[jungseongIndex] + jongseongList[jongseong];

  } // for (var i = 0; i < data.length; i++)

  return result;

} // function fromHangulToRomaja


//
// A Downloader with optional object support.
//
function objDownloader(url, func, obj) {

  this.onDownload = function() {
    var html = Amarok.Lyrics.toUtf8(this.http.readAll());
    if (this.obj == null) {
      this.func(html);
    } else {
      this.func(html);
    }
  } // this.onDownload = function()

  this.func = func;
  this.obj = obj;
  this.http = new QHttp();
  this.http.done.connect(this, this.onDownload);

  this.url = url.replace(/^http:\/\//g, '');
  var i = this.url.indexOf('/');
  var j = this.url.indexOf('?');
  this.host = this.url.substring(0, i);
  this.path = this.url.substring(i, j);
  this.query = ba2p(new QByteArray(this.url.substring(j)));
  //Amarok.alert(this.host + '\n' + this.path + '\n' + this.query );
  this.http.setHost(this.host);
  this.http.get(this.path + this.query);

} // function downloadHTMl(url, func, obj)

function downloaderPOST(url, data, func) {

  this.onFinished = function(networkReply) {

    var data = Amarok.Lyrics.toUtf8(networkReply.readAll());
    if (func != null) { this.func(data); }

    return true;

  } // this.onFinished = function(networkReply)

  this.func = func;

  this.nam = new QNetworkAccessManager();
  this.nam.finished.connect(this, this.onFinished);

  this.url = new QUrl('http://myserver.com/api.php');
  this.url.addQueryItem('myparam1', 'myvalue1');

  this.nam.post(new QNetworkRequest(this.url), Amarok.Lyrics.fromUtf8('inputtext=' + data, 'UTF-8'));

  return true

} // function downloaderPOST(data, func)

