/**************************************************************************
*   Amarok 2 script to manage lyrics                                      *
*                                                                         *
*   Copyright                                                             *
*   (C) 2008 Ignacio Serantes <kde@aynoa.net>                             *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
**************************************************************************/

//
// English texts for Lyrics Workshop.
//

// Program.
const TEXT_SCRIPT_NAME = 'Lyrics Workshop';

// Html.
const TEXT_HTML_ADDITIONAL_INFO = '<strong>Lyrics Workshop</strong></a> additional information:\n';
const TEXT_HTML_ARTIST = 'url artist';
const TEXT_HTML_BY = 'by';
const TEXT_HTML_FETCHED_FROM = 'fetched from:';
const TEXT_HTML_LYRICS = 'url lyrics';
const TEXT_SONG_INSTRUMENTAL = 'Instrumental';
const TEXT_SONG_NOT_FOUND = 'Not found';

// Menu.
const TEXT_MENU_CFG = 'Configure Lyrics Workshop';
const TEXT_MENU_EDIT_EQUIVALENCES = 'Edit equivalences';
const TEXT_MENU_GET_LYRICS = 'Lyrics search';
const TEXT_MENU_SHOW_LYRICS = 'Show lyrics';
const TEXT_MENU_TO_ARABIC = 'Kanji to Arabic';
const TEXT_MENU_TO_FURIGANA = 'Kanji to furigana';
const TEXT_MENU_TO_KANA = 'Kanji to kana';
const TEXT_MENU_TO_KOREAN = 'Kanji to Korean';
const TEXT_MENU_TO_ROMAJA = 'Hangul to romaja';
const TEXT_MENU_TO_ROMAJI = 'Kanji to rōmaji';
const TEXT_MENU_TO_RUSSIAN = 'Kanji to Russian';
const TEXT_MENU_TRANSLATE = 'Google translate';

// Messages.
const TEXT_MSG_FOUND = 'LWS did found lyrics :)';
const TEXT_MSG_NOT_EXISTS = 'LWS: lyrics don\'t exists :)';
const TEXT_MSG_NOT_FOUND = 'LWS did not found lyrics :(';
const TEXT_MSG_OPTION_DISABLED = 'Option disabled if Amarok is not playing.';
const TEXT_MSG_REUSING = 'LWS reusing lyrics ;)';
const TEXT_MSG_USING_CACHE = 'LWS cache used ;)';
const TEXT_MSG_SEARCH_WHAT = 'What do you want to search?';
const TEXT_MSG_SEARCHING = 'LWS is searching...';
const TEXT_MSG_STATE_ENABLED = 'enabled';
const TEXT_MSG_STATE_DISABLED = 'disabled';
const TEXT_MSG_TRY_AGAIN = 'Should I try another search?';

// Search dialog.
const TEXT_SEARCH_DIALOG_BTCANCEL = 'Cancel';
const TEXT_SEARCH_DIALOG_BTOK = 'Ok';
const TEXT_SEARCH_DIALOG_CBINSTRUMENTAL = 'Instrumental';
const TEXT_SEARCH_DIALOG_CBIGNORECACHE = 'Ignore cache';
const TEXT_SEARCH_DIALOG_LBTITLE = 'Títle:';
const TEXT_SEARCH_DIALOG_LBARTIST = 'Artist:';
const TEXT_SEARCH_DIALOG_LBSERVER = 'Server:';
const TEXT_SEARCH_DIALOG_TITLE = 'Search';

// Equivalences dialog.
const TEXT_EQUIVALENCES_DIALOG_TITLE = 'Equivalences editor';

//  Configuration dialog.
const TEXT_CONFIGURE_DIALOG_BTCANCEL = 'Cancel';
const TEXT_CONFIGURE_DIALOG_BTDELETE_CACHE = 'Delete cache';
const TEXT_CONFIGURE_DIALOG_BTOK = 'Ok';
const TEXT_CONFIGURE_DIALOG_CBREPEAT = 'Repeat search enabled';
const TEXT_CONFIGURE_DIALOG_CBREPEATINCOLLECTIONONLY = 'Only in collection';
const TEXT_CONFIGURE_DIALOG_CBCACHEARABIC = 'Arabic cache enabled';
const TEXT_CONFIGURE_DIALOG_CBCACHEKANA = 'Kana cache enabled';
const TEXT_CONFIGURE_DIALOG_CBCACHEKOREAN = 'Korean cache enabled';
const TEXT_CONFIGURE_DIALOG_CBCACHELYRICS = 'Lyrics cache enabled';
const TEXT_CONFIGURE_DIALOG_CBCACHEROMAJA = 'Romaja cache enabled';
const TEXT_CONFIGURE_DIALOG_CBCACHEROMAJI = 'Rōmaji cache enabled';
const TEXT_CONFIGURE_DIALOG_CBCACHERUSSIAN = 'Russian cache enabled';
const TEXT_CONFIGURE_DIALOG_CBCACHETRANSLATION = 'Translations cache enabled';
const TEXT_CONFIGURE_DIALOG_GRFIELDS = 'Parameters';
const TEXT_CONFIGURE_DIALOG_LBLANGUAGE = 'Translate to';
const TEXT_CONFIGURE_DIALOG_LBSHOWMETHOD = 'Storage method';
const TEXT_CONFIGURE_DIALOG_LBTOKANASERVER = 'Conversion to kana server';
const TEXT_CONFIGURE_DIALOG_LBTOROMAJISERVER = 'Conversion to rōmaji server';
const TEXT_CONFIGURE_DIALOG_FILES = 'files';
const TEXT_CONFIGURE_DIALOG_TITLE = 'Configuration';

// Text dialog.
const TEXT_TEXT_DIALOG_BTCLOSE = 'Close';
const TEXT_TEXT_DIALOG_BTDELETE_CACHE = 'Delete cache';
const TEXT_TEXT_DIALOG_BTSAVE_EQUIVALENCES = 'Save';
const TEXT_TEXT_DIALOG_BTRELOAD_KANA = 'Convert to kana again';
const TEXT_TEXT_DIALOG_BTSAVE_KANA = 'Save';
const TEXT_TEXT_DIALOG_SUBTITLE_KANA = ' - Kanji to kana';
const TEXT_TEXT_DIALOG_BTRELOAD_KOREAN = 'Convert to Korean again';
const TEXT_TEXT_DIALOG_BTSAVE_KOREAN = 'Save';
const TEXT_TEXT_DIALOG_SUBTITLE_KOREAN = ' - Kanji to Korean';
const TEXT_TEXT_DIALOG_BTRELOAD_LYRICS = 'Search again';
const TEXT_TEXT_DIALOG_BTSAVE_LYRICS = 'Save';
const TEXT_TEXT_DIALOG_SUBTITLE_LYRICS = ' - Lyrics';
const TEXT_TEXT_DIALOG_BTRELOAD_ROMAJA = 'Convert to romaja again';
const TEXT_TEXT_DIALOG_BTSAVE_ROMAJA = 'Save';
const TEXT_TEXT_DIALOG_SUBTITLE_ROMAJA = ' - Hangul to romaja';
const TEXT_TEXT_DIALOG_BTRELOAD_ROMAJI = 'Convert to rōmaji again';
const TEXT_TEXT_DIALOG_BTSAVE_ROMAJI = 'Save';
const TEXT_TEXT_DIALOG_SUBTITLE_ROMAJI = ' - Kanji to rōmaji';
const TEXT_TEXT_DIALOG_BTRELOAD_TRANSLATION = 'Fech translation again';
const TEXT_TEXT_DIALOG_BTSAVE_TRANSLATION = 'Save';
const TEXT_TEXT_DIALOG_SUBTITLE_TRANSLATION = ' - Google translation';

// Language.
const TEXT_CONVERSION_ARABIC_FAILS = 'Conversion to Arabic fails :(';
const TEXT_CONVERSION_ARABIC_START = 'Converting lyrics to Arabic...';
const TEXT_CONVERSION_ARABIC_SUCCESS = 'Conversion to Arabic finished :)';
const TEXT_CONVERSION_KANA_FAILS = 'Conversion to kana fails :(';
const TEXT_CONVERSION_KANA_START = 'Converting lyrics to kana...';
const TEXT_CONVERSION_KANA_SUCCESS = 'Conversion to kana finished :)';
const TEXT_CONVERSION_KOREAN_FAILS = 'Conversion to Korean fails :(';
const TEXT_CONVERSION_KOREAN_START = 'Converting lyrics to Korean...';
const TEXT_CONVERSION_KOREAN_SUCCESS = 'Conversion to Korean finished :)';
const TEXT_CONVERSION_ROMAJA_FAILS = 'Conversion to romaja fails :(';
const TEXT_CONVERSION_ROMAJA_START = 'Converting lyrics to romaja...';
const TEXT_CONVERSION_ROMAJA_SUCCESS = 'Conversion to romaja finished :)';
const TEXT_CONVERSION_ROMAJI_FAILS = 'Conversion to rōmaji fails :(';
const TEXT_CONVERSION_ROMAJI_START = 'Converting lyrics to rōmaji...';
const TEXT_CONVERSION_ROMAJI_SUCCESS = 'Conversion to rōmaji finished :)';
const TEXT_CONVERSION_RUSSIAN_FAILS = 'Conversion to Russian fails :(';
const TEXT_CONVERSION_RUSSIAN_START = 'Converting lyrics to Russian...';
const TEXT_CONVERSION_RUSSIAN_SUCCESS = 'Conversion to Russian finished :)';
const TEXT_TRANSLATION_FAILS = 'Translation fails :(';
const TEXT_TRANSLATION_START = 'Translating lyrics...';
const TEXT_TRANSLATION_SUCCESS = 'Translationg finished :)';

// Servidores
const TEXT_SERVER_AUTOMATIC = 'Automatic';
