/**************************************************************************
*   Amarok 2 script to manage lyrics                                      *
*                                                                         *
*   Copyright                                                             *
*   (C) 2008 Ignacio Serantes <kde@aynoa.net>                             *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
**************************************************************************/

//
// Textos en español para Lyrics Workshop.
//

// Programa.
const TEXT_SCRIPT_NAME = 'Lyrics Workshop';

// Html
const TEXT_HTML_ADDITIONAL_INFO = '<strong>Lyrics Workshop</strong></a> información adicional:\n';
const TEXT_HTML_ARTIST = 'url artista';
const TEXT_HTML_BY = 'por';
const TEXT_HTML_FETCHED_FROM = 'letra descargada de';
const TEXT_HTML_LYRICS = 'url letra';
const TEXT_SONG_INSTRUMENTAL = 'Instrumental';
const TEXT_SONG_NOT_FOUND = 'No se encontró';

// Menús.
const TEXT_MENU_CFG = 'Configurar Lyrics Workshop';
const TEXT_MENU_EDIT_EQUIVALENCES = 'Editar equivalencias';
const TEXT_MENU_GET_LYRICS = 'Buscar letra';
const TEXT_MENU_SHOW_LYRICS = 'Mostrar letra';
const TEXT_MENU_TO_ARABIC = 'Kanji a árabe';
const TEXT_MENU_TO_FURIGANA = 'Kanji a furigana';
const TEXT_MENU_TO_KANA = 'Kanji a kana';
const TEXT_MENU_TO_KOREAN = 'Kanji a coreano';
const TEXT_MENU_TO_ROMAJA = 'Hangul a romaja';
const TEXT_MENU_TO_ROMAJI = 'Kanji to rōmaji';
const TEXT_MENU_TO_RUSSIAN = 'Kanji a ruso';
const TEXT_MENU_TRANSLATE = 'Traducción de Google';

// Mensajes.
const TEXT_MSG_FOUND = 'LWS encontró la letra :)';
const TEXT_MSG_NOT_EXISTS = 'La letra no existe :)';
const TEXT_MSG_NOT_FOUND = 'LWS no encontró la letra :(';
const TEXT_MSG_OPTION_DISABLED = 'Opción deshabilidata si Amarok no está reproduciendo.';
const TEXT_MSG_REUSING = 'LWS reutilizó la letra ;)';
const TEXT_MSG_USING_CACHE = 'LWS usó la caché ;)';
const TEXT_MSG_SEARCH_WHAT = '¿Qué quieres buscar?';
const TEXT_MSG_SEARCHING = 'LWS está buscando...';
const TEXT_MSG_STATE_ENABLED = 'habilitada';
const TEXT_MSG_STATE_DISABLED = 'deshabilitada';
const TEXT_MSG_TRY_AGAIN = '¿Debo intentar otra búsqueda?';

// Search dialog.
const TEXT_SEARCH_DIALOG_BTCANCEL = 'Cancelar';
const TEXT_SEARCH_DIALOG_BTOK = 'Aceptar';
const TEXT_SEARCH_DIALOG_CBIGNORECACHE = 'Ignorar la caché';
const TEXT_SEARCH_DIALOG_CBINSTRUMENTAL = 'Instrumental';
const TEXT_SEARCH_DIALOG_LBTITLE = 'Título:';
const TEXT_SEARCH_DIALOG_LBARTIST = 'Artista:';
const TEXT_SEARCH_DIALOG_LBSERVER = 'Servidor:';
const TEXT_SEARCH_DIALOG_TITLE = 'Búsqueda';

// Equivalences dialog.
const TEXT_EQUIVALENCES_DIALOG_TITLE = 'Editor de equivalencias';

//  Configuration dialog.
const TEXT_CONFIGURE_DIALOG_BTCANCEL = 'Cancelar';
const TEXT_CONFIGURE_DIALOG_BTDELETE_CACHE = 'Borrar caché';
const TEXT_CONFIGURE_DIALOG_BTOK = 'Aceptar';
const TEXT_CONFIGURE_DIALOG_CBREPEAT = 'Habilitar repetir búsqueda';
const TEXT_CONFIGURE_DIALOG_CBREPEATINCOLLECTIONONLY = 'Sólo en la colección';
const TEXT_CONFIGURE_DIALOG_CBCACHEARABIC = 'Habilitar caché de árabe';
const TEXT_CONFIGURE_DIALOG_CBCACHEKANA = 'Habilitar caché de kanas';
const TEXT_CONFIGURE_DIALOG_CBCACHEKOREAN = 'Habilitar caché de coreano';
const TEXT_CONFIGURE_DIALOG_CBCACHELYRICS = 'Habilitar caché de letras';
const TEXT_CONFIGURE_DIALOG_CBCACHEROMAJA = 'Habilitar caché de romajas';
const TEXT_CONFIGURE_DIALOG_CBCACHEROMAJI = 'Habilitar caché de rōmajis';
const TEXT_CONFIGURE_DIALOG_CBCACHERUSSIAN = 'Habilitar caché de ruso';
const TEXT_CONFIGURE_DIALOG_CBCACHETRANSLATION = 'Habilitar caché de traducciones';
const TEXT_CONFIGURE_DIALOG_GRFIELDS = 'Parámetros';
const TEXT_CONFIGURE_DIALOG_LBLANGUAGE = 'Traducir a';
const TEXT_CONFIGURE_DIALOG_LBSHOWMETHOD = 'Método de almacenamiento';
const TEXT_CONFIGURE_DIALOG_LBTOKANASERVER = 'Servidor para convertir a kana';
const TEXT_CONFIGURE_DIALOG_LBTOROMAJISERVER = 'Servidor para convertir a rōmaji';
const TEXT_CONFIGURE_DIALOG_FILES = 'archivos';
const TEXT_CONFIGURE_DIALOG_TITLE = 'Configuración';

// Text dialog.
const TEXT_TEXT_DIALOG_BTCLOSE = 'Cerrar';
const TEXT_TEXT_DIALOG_BTDELETE_CACHE = 'Borrar de la caché';
const TEXT_TEXT_DIALOG_BTSAVE_EQUIVALENCES = 'Grabar';
const TEXT_TEXT_DIALOG_BTRELOAD_KANA = 'Convertir a kana otra vez';
const TEXT_TEXT_DIALOG_BTSAVE_KANA = 'Grabar';
const TEXT_TEXT_DIALOG_SUBTITLE_KANA = ' - Kanji a kana';
const TEXT_TEXT_DIALOG_BTRELOAD_KOREAN = 'Convertir a coreano otra vez';
const TEXT_TEXT_DIALOG_BTSAVE_KOREAN = 'Grabar';
const TEXT_TEXT_DIALOG_SUBTITLE_KOREAN = ' - Kanji a coreano';
const TEXT_TEXT_DIALOG_BTRELOAD_LYRICS = 'Buscar otra vez';
const TEXT_TEXT_DIALOG_BTSAVE_LYRICS = 'Grabar';
const TEXT_TEXT_DIALOG_SUBTITLE_LYRICS = ' - Letra';
const TEXT_TEXT_DIALOG_BTRELOAD_ROMAJA = 'Convertir a romaja otra vez';
const TEXT_TEXT_DIALOG_BTSAVE_ROMAJA = 'Grabar';
const TEXT_TEXT_DIALOG_SUBTITLE_ROMAJA = ' - Hangul a romaja';
const TEXT_TEXT_DIALOG_BTRELOAD_ROMAJI = 'Convertir a rōmaji otra vez';
const TEXT_TEXT_DIALOG_BTSAVE_ROMAJI = 'Grabar';
const TEXT_TEXT_DIALOG_SUBTITLE_ROMAJI = ' - Kanji a rōmaji';
const TEXT_TEXT_DIALOG_BTRELOAD_TRANSLATION = 'Traducir otra vez';
const TEXT_TEXT_DIALOG_BTSAVE_TRANSLATION = 'Grabar';
const TEXT_TEXT_DIALOG_SUBTITLE_TRANSLATION = ' - Google translation';

// Idioma.
const TEXT_CONVERSION_ARABIC_FAILS = 'La conversión a árabe falló :(';
const TEXT_CONVERSION_ARABIC_START = 'Convirtiendo la letra a árabe...';
const TEXT_CONVERSION_ARABIC_SUCCESS = 'La conversión a árabe finalizó :)';
const TEXT_CONVERSION_KANA_FAILS = 'La conversión a kana falló :(';
const TEXT_CONVERSION_KANA_START = 'Convirtiendo la letra a kana...';
const TEXT_CONVERSION_KANA_SUCCESS = 'La conversión a kana finalizó :)';
const TEXT_CONVERSION_KOREAN_FAILS = 'La conversión a coreano falló :(';
const TEXT_CONVERSION_KOREAN_START = 'Convirtiendo la letra a coreano...';
const TEXT_CONVERSION_KOREAN_SUCCESS = 'La conversión a coreano finalizó :)';
const TEXT_CONVERSION_ROMAJA_FAILS = 'La conversión a romaja falló :(';
const TEXT_CONVERSION_ROMAJA_START = 'Convirtiendo la letra a romaja...';
const TEXT_CONVERSION_ROMAJA_SUCCESS = 'La conversión a romaja finalizó :)';
const TEXT_CONVERSION_ROMAJI_FAILS = 'La conversión a rōmaji falló :(';
const TEXT_CONVERSION_ROMAJI_START = 'Convirtiendo la letra a rōmaji...';
const TEXT_CONVERSION_ROMAJI_SUCCESS = 'La conversión a rōmaji finalizó :)';
const TEXT_CONVERSION_RUSSIAN_FAILS = 'La conversión a ruso falló :(';
const TEXT_CONVERSION_RUSSIAN_START = 'Convirtiendo la ruso a árabe...';
const TEXT_CONVERSION_RUSSIAN_SUCCESS = 'La conversión a ruso finalizó :)';
const TEXT_TRANSLATION_FAILS = 'La traducción falló :(';
const TEXT_TRANSLATION_START = 'Traduciendo la letra...';
const TEXT_TRANSLATION_SUCCESS = 'La traducción finalizó :)';

// Servidores
const TEXT_SERVER_AUTOMATIC = 'Automático';
